#!must_be_sourced
#
#   gbsaudit.sh
#
GBS_RC=0
let GBS_SCRIPT_LEVEL+=1

if [[ $GBS_PID == '' ]]
then
    echo "GBSMAIN_: ** GBS not started for this subprocess: Use 'gbs' or 'gbsstart' **"
    GBS_RC=1
else
    #
    #   Execute the Perl script
    #
    \export GBS_AUDIT_FILE=~/tmp/GBSAUDIT_RESULT_`hostname`_$GBS_PID.tmp
    \rm -f $GBS_AUDIT_FILE 2> /dev/null
    $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsaudit.pl $*
    GBS_RC=$?
    set --

    #
    #   Selectively setup the environment
    #
    if [[ $GBS_RC -eq 0 && -f $GBS_AUDIT_FILE ]]
    then
	#
	#   Execute the setup of environment variables
	#
        . $GBS_AUDIT_FILE
        GBS_RC=$?
    fi
    \rm -f $GBS_AUDIT_FILE 2> /dev/null
    unset GBS_AUDIT_FILE
fi

#   End
let GBS_SCRIPT_LEVEL-=1
if (( $GBS_SCRIPT_LEVEL <= 0 ))
then
    unset GBS_PROMPT_SEPARATOR_PRINTED
    unset GBS_SCRIPT_LEVEL
fi
\set --
bash -c "exit $GBS_RC" # set $?

## EOF ##
