#===============================================================
#
#   gbsbgsca.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================

print "*GBSBGSCA @ARGV\n" if ($ENV{GBSDEBUG_FILE});

use strict;
use integer;

use lib $ENV{GBS_SCRIPTS_PATH};
use glo::env;
use glo::args;
use gbsenv;
use gbsbgsca;
use gbsbgglo;




sub get_command_args();








my $BATCH_NAME = '';	# reference to be used in logging. E.g.: gbsgen, gbsgen_post, gbsaudit, gbsaudit_post
my $COMPONENT;
my $GBSBG_SCRIPT_SPEC;	# main input-file






$| = 1;
my $RC = 0;
GBSENV_init();

get_command_args();
GBSBGGLO_init( $BATCH_NAME, $COMPONENT);	# sets CWD to SRC or SUSBSYS
GBSBGSCA_init( $COMPONENT);
$RC = GBSBGGLO_main( $GBSBG_SCRIPT_SPEC, [ SCA => \&GBSBGSCA_do ]); # May be called multiple times

ENV_exit( $RC);




sub END
{
ENV_print_end_msg( 0);
}




sub get_command_args()
{
($BATCH_NAME,
$COMPONENT,
$GBSBG_SCRIPT_SPEC,
) = ARGS_get( 3, 'perl -w gbsbgsca.pl <BATCH_NAME> <COMPONENT> <gbg_script>', undef);

}


