#===============================================================
#
#   gbsxref.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
use strict;
use integer;

eval( "use Tkx");
my $TKX_AVAILABLE = ($@) ? 0 : 1;

use lib $ENV{GBS_SCRIPTS_PATH};
use glo::env;
use glo::genopt;
use glo::proc;
use gbsenv;
use validate;












$| = 1;
my $RC = 0;
GBSENV_init();




GENOPT_set_optdefs( 'gbsxref', undef,
'Show cross-references using makefiles and/or scope-files Launcher',
undef);
GENOPT_parse();

VALIDATE_root();

if ($TKX_AVAILABLE)
{
PROC_spawn_detached( ENV_command_ref( 'gbsxref_tkx.pl', []));
ENV_say( 1, "Launched");
} else
{
ENV_error_exit( "Cannot proceed. Perl Tkx Package is not available");
}

ENV_exit( $RC);




sub END
{
ENV_print_end_msg( 0);
}


