#!/bin/bash
#=========================================
#   define.sh <rel>
#   Called by the GBS shortcut, possibly with <rel> parameter
#   - Set GBS_BASE_PATH
#   - define the gbs command to startup the proper session
#     e.g. gbs --rel=5.1
#   - execute the gbscmd - if present
#=========================================

#
#   Set GBS_BASE_PATH
#
\export GBS_BASE_PATH="$HOME\.gbs"
#\echo "DEFINE_: GBS_BASE_PATH=$GBS_BASE_PATH"

#
#   Assert TMPDIR
#
if [[ ! -z TMPDIR ]]
then
    \export "TMPDIR=/tmp/$USER"
    \mkdir "$TMPDIR" 2>/dev/null
fi

#
#   Setup init_rel file
#
if [[ $1 != "" ]]
then
    \echo "DEFINE_: GBS version set to [$1]"
fi
\echo "GBS_WANTED_REL=$1" > "$TMPDIR/gbsinit_rel_$PPID.sh"

#
#   Assert alias gbs
#
GBS_DEFINED=0
if [[ $(grep -E "^\s*\\\?alias\s+gbs=" ~/.bashrc) || \
      ( -f ~/.bash_aliases && $(grep -E "^\s*\\\?alias\s+gbs=" ~/.bash_aliases) ) ]]
then
    \echo "DEFINE_: gbs command defined. Type 'gbs' to startup GBS [$1]"
else
    \echo "DEFINE_: gbs alias not defined in ~/.bashrc or ~/.bash_aliases"
    \echo "         Type 'source ~/.gbs/gbsinit.sh' to startup GBS [$1]"
fi

#
#   Execute gbscmd.sh if exist
#
\export GBS_LOGIN_FILE=$GBS_BASE_PATH/gbscmd.sh
if [ -e $GBS_LOGIN_FILE ]
then
    \echo DEFINE_: Executing $GBS_LOGIN_FILE...
    \source $GBS_LOGIN_FILE
fi
unset GBS_LOGIN_FILE

#   End

#  **EOF**
